Viewing Issue Advanced Details Jump to Notes ] namcos12.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06042 DIP/Input Major Always Oct 13, 2015, 21:25 May 24, 2017, 17:24
Tester izius View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved   Driver namcos12.cpp
Version 0.166 Fixed in Version 0.177 Build Normal
Summary 06042: golgo13, g13knd: Gun aiming is broken
Description Gun aiming doesn't work. The game crosshair moves erratically as you move the MAME crosshair with your input device (tried with mouse and with keyboard separately). Therefore, with a broken input, the game is unplayable.
Steps To Reproduce You can see the game crosshair in the stage select screen, or in the gun calibration screen.
To access it, press F2 after the boot to enter service mode, then use the P1 up/down controls and P1 button 3 to enter the gun initialize menu.
Additional Information The first actual playable regression version is 0.154, since 0.153 is affected by 05501.
Flags
Regression Version 0.153
Affected Sets / Systems golgo13, g13knd
Attached Files
 


-  Notes
User avatar
No.12067
NekoEd
(Senior Tester)
Oct 15, 2015, 02:53
edited on: Oct 15, 2015, 05:19
Confirmed, SDLMAME64 on Linux/x64 0.165

It's actually worse than just the calibration. The guns are completely and totally off in the game once you attempt to calibrate them, or even if you use an existing, calibrated NVRAM; in its current state the game is completely unplayable as no targets can be hit.

User avatar
No.12069
izius
(Tester)
Oct 15, 2015, 12:32
You're right. I thought gun calibration was necessary, but in MAME 0.152 and previous, the gun works fine even without entering service mode. So I've updated the report accordingly. Sorry for the inconvenience.
User avatar
No.13843
Scagazza
(Tester)
May 22, 2017, 07:25
This bug seems to be fixed in the 0.185 version.
User avatar
No.13848
izius
(Tester)
May 24, 2017, 17:24
Just retested. Actually, both games are working well since 0.177. So this can be marked as resolved.

Not sure who (and which commit) fixed them, though.